//---------------------------------------------------------------------------

#ifndef CallbackH
#define CallbackH
//---------------------------------------------------------------------------

#include <System.hpp>

class Callback
{
public:
	enum Type
	{
		CALL_STATE = 0,
		REG_STATE,
		APP_STATE,
		DLG_INFO_STATE,
		MWI_STATE
	} type;

	enum ua_state_e
	{
		CALL_STATE_INCOMING = 0,
		CALL_STATE_OUTGOING,
		CALL_STATE_TRYING,
		CALL_STATE_RINGING,
		CALL_STATE_PROGRESS,
		CALL_STATE_ESTABLISHED,
		CALL_STATE_CLOSED
	} state;

	enum reg_state_e
	{
		REG_STATE_REGISTERING = 0,
		REG_STATE_REGISTER_OK,
		REG_STATE_REGISTER_FAIL,
		REG_STATE_UNREGISTERING,
		REG_STATE_UNREGISTER_OK,
		REG_STATE_UNREGISTER_FAIL
	} reg_state;

	enum app_state_e
	{
		APP_INITIALIZED = 0,
		APP_INIT_FAILED,
		APP_START_FAILED
	} app_state;

	AnsiString caller;
	AnsiString alertInfo;
	int accountId;
	int callId;
	int contactId;
	int callAnswerAfter;

	int dlgInfoState;

	int mwiNewMsg;
	int mwiOldMsg;
};

#endif
